## elpa-snakemake 2.0.0

=== Makefile ===

LOAD_PATH = -L ../transient/lisp -L .
EMACS = emacs
BATCH = $(EMACS) -Q --batch $(LOAD_PATH)
CURL := curl --silent

els := snakemake.el snakemake-mode.el
elcs := $(patsubst %.el, %.elc, $(els))
AUTOLOADS_FILE = snakemake-autoloads.el

.PHONY: all
all: $(elcs) $(AUTOLOADS_FILE)

.PHONY: test
test:
	@$(BATCH) -l snakemake-test \
	--eval "(ert-run-tests-batch-and-exit '(not (tag interactive)))"

$(AUTOLOADS_FILE): $(els)
	@$(BATCH) -l autoload --eval \
	"(let ((make-backup-files nil) \
	       (generated-autoload-file \"$(CURDIR)/$@\")) \
	  (update-directory-autoloads \"$(CURDIR)/\"))"

%.elc: %.el
	@$(BATCH) -f batch-byte-compile $<

.PHONY: clean
clean:
	$(RM) $(elcs) $(AUTOLOADS_FILE)

=== debian/changelog ===
elpa-snakemake (2.0.0-3) unstable; urgency=medium

  * Add emacs-el >= 1:28 | elpa-transient Dependency to elpa-snakemake
    (Closes: #1024648)
  * Add elpa-snakemake-mode dependency to elpa-snakemake
    (Closes: #1025876)

 -- Diane Trout <diane@ghic.org>  Thu, 09 Feb 2023 15:22:12 -0800

elpa-snakemake (2.0.0-2) unstable; urgency=medium

  * Rebuild to create source only uploade

 -- Diane Trout <diane@ghic.org>  Mon, 19 Sep 2022 13:46:30 -0700

elpa-snakemake (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016769)

 -- Diane Trout <diane@ghic.org>  Sat, 6 Aug 2022 15:13:33 -0700

=== debian/control ===
Source: elpa-snakemake
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-transient,
 snakemake <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-snakemake
Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-snakemake.git
Homepage: https://git.kyleam.com/snakemake-mode/about
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-snakemake-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: provides syntax highlighting for snakekmake files in emacs
 Snakemake mode provides support for editing Snakemake files.  It
 builds on Python mode to provide fontification, indentation, and
 imenu indexing for Snakemake's rule blocks.
 . 
 See also elpa-snakemake which provides an interface for running
 Snakemake commands.
 .
 elpa-snakemake-mode also includes support for highlighting embedded R
 code.  See the snakemake-mode-setup-mmm function documentation for
 how.

Package: elpa-snakemake
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 elpa-snakemake-mode (>= ${source:Upstream-Version}),
 emacs-el (>= 1:28) | elpa-transient,
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Run Snakemake workflows from Emacs
 This package provides a Transient interface for calling
 Snakemake.  The main entry point is the `snakemake' command,
 which you should consider giving a global key binding.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_elpa_test:
	# tests need a writable home
	HOME=/tmp dh_elpa_test

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=4
opts="mode=git" https://git.kyleam.com/snakemake-mode refs/tags/v([\d\.\d\.]+) debian

## elpa-snakemake 2.0.0+git20231210.4ad41da

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,13 @@
 
-LOAD_PATH = -L ../transient/lisp -L .
+-include config.mk
+
+SEQ_DIR ?= /dev/null
+COMPAT_DIR ?= /dev/null
+TRANSIENT_DIR ?= /dev/null
+
+LOAD_PATH = -L $(SEQ_DIR) -L $(COMPAT_DIR) -L $(TRANSIENT_DIR) -L .
 EMACS = emacs
 BATCH = $(EMACS) -Q --batch $(LOAD_PATH)
-CURL := curl --silent
 
 els := snakemake.el snakemake-mode.el
 elcs := $(patsubst %.el, %.elc, $(els))
@@ -28,3 +33,12 @@
 .PHONY: clean
 clean:
 	$(RM) $(elcs) $(AUTOLOADS_FILE)
+
+.PHONY: sign-tar
+sign-tar:
+	tag="$$(git describe --abbrev=0)"; \
+	object=$$(git archive --format tar \
+		    --prefix "snakemake-mode-$${tag#v}/" "$$tag" | \
+		  gpg --output - --armor --detach-sign | \
+		  git hash-object -w --stdin); \
+	git notes --ref=refs/notes/signatures/tar add -C "$$object" "$$tag"

=== debian/changelog ===
elpa-snakemake (2.0.0+git20231210.4ad41da-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:07:22 +0900

elpa-snakemake (2.0.0+git20231210.4ad41da-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:29:26 +0900

elpa-snakemake (2.0.0+git20231210.4ad41da-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * Sync to latest upstream snapshot (4ad41da) (Closes: #1068956)
  * Disable autopkgtest as the ERT tests require a writable $HOME
  * Modernize d/watch with substitute strings to be more robust
  * Add a version header in snakemake.el to workaround dh-elpa upstream
    version handling limitation
  * d/control: Trim trailing whitespace
  * Set upstream metadata fields: Repository
  * Update standards version to 4.7.0, no changes needed

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 15 Apr 2024 08:54:12 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-elpa,
  elpa-transient,
  snakemake <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-snakemake
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-snakemake.git
 Homepage: https://git.kyleam.com/snakemake-mode/about
@@ -23,7 +23,7 @@
  Snakemake mode provides support for editing Snakemake files.  It
  builds on Python mode to provide fontification, indentation, and
  imenu indexing for Snakemake's rule blocks.
- . 
+ .
  See also elpa-snakemake which provides an interface for running
  Snakemake commands.
  .

=== debian/watch ===
version=4
opts="mode=git" \
    https://git.kyleam.com/snakemake-mode \
    refs/tags/@ANY_VERSION@ debian
